Skip to main content
GET
https://{tenantDomain}/api/v2
/
sessions
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Sessions.GetAsync(
            "id"
        );
    }

}
package example

import (
context "context"

client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Sessions.Get(
context.TODO(),
"id",
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.sessions().get("id");
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->sessions->get(
'id',
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.sessions.get(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.sessions.get(id: "id")
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.sessions.get("id");
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.sessions.get("id");
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/sessions/{id} \
--header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "authenticated_at": "2023-11-07T05:31:56Z",
  "idle_expires_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_interacted_at": "2023-11-07T05:31:56Z",
  "device": {
    "initial_user_agent": "<string>",
    "initial_ip": "<string>",
    "initial_asn": "<string>",
    "last_user_agent": "<string>",
    "last_ip": "<string>",
    "last_asn": "<string>"
  },
  "clients": [
    {
      "client_id": "<string>"
    }
  ],
  "authentication": {
    "methods": [
      {
        "name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z",
        "type": "<string>"
      }
    ]
  },
  "cookie": {},
  "session_metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of session to retrieve

Response

The session was retrieved

id
string

The ID of the session

user_id
string

ID of the user which can be used when interacting with other APIs.

created_at

The date and time when the session was created

updated_at

The date and time when the session was created

authenticated_at

The date and time when the session was created

idle_expires_at

The date and time when the session was created

expires_at

The date and time when the session was created

last_interacted_at

The date and time when the session was created

device
object

Metadata related to the device used in the session

clients
object[]

List of client details for the session

authentication
object

Details about authentication signals obtained during the login flow

[Private Early Access] Session cookie configuration.

session_metadata
object | null

Metadata associated with the session, in the form of an object with string values (max 255 chars). Maximum of 25 metadata properties allowed.